package com.mortals.xhx.module.pj.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.pj.model.vo.PjEvaluateStatVo;
import lombok.Data;
/**
 * 评价汇总统计实体对象
 *
 * @author zxfei
 * @date 2024-06-24
 */
@Data
public class PjEvaluateStatEntity extends PjEvaluateStatVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点编码
     */
    private String siteCode;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 部门
     */
    private String sectionName;
    /**
     * 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
     */
    private String pjOption;
    /**
     * 窗口编号
     */
    private String windowFromnum;
    /**
     * 大厅名称
     */
    private String hallName;
    /**
     * 评价数量
     */
    private Integer pjCount;
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    /**
     * 日
     */
    private Integer day;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PjEvaluateStatEntity) {
            PjEvaluateStatEntity tmp = (PjEvaluateStatEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = 0L;
        this.siteCode = "";
        this.siteName = "";
        this.sectionName = "";
        this.pjOption = "";
        this.windowFromnum = "";
        this.hallName = "";
        this.pjCount = 0;
        this.year = DateUtil.year(new Date());
        this.month = DateUtil.month(new Date())+1;
        this.day = DateUtil.dayOfMonth(new Date());
    }
}